%define archivename     dejavu-sfd
# This macro has the same value as %{version}, except when testing pre-release snapshots
#%define alphatag	20060618svn945
%define archiveversion  2.8
%define fontdir         %{_datadir}/fonts/%{name}

# Let the perl Maintainer worry about Unicode.org data files (updates, licensing)
%define Blocks		    %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/Blocks.txt
%define UnicodeData	    %(eval "$(%{__perl} -V:privlibexp)"; echo $privlibexp)/unicore/UnicodeData.txt

Name:      dejavu-fonts
Version:   2.8.0
Release:   1%{?dist}
Summary:   DejaVu fonts
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://dejavu.sf.net/
Source:    http://prdownloads.sourceforge.net/dejavu/%{archivename}-%{archiveversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: fontforge
# The CPAN sources do not declare perl(Font::TTF)
BuildRequires: perl-Font-TTF
# Needed to compute unicode coverage
BuildRequires: %{Blocks} %{UnicodeData}
BuildArch: noarch
Conflicts: fontconfig >= 2.3.0

%description
The DejaVu fonts are a font family based on the Bitstream Vera Fonts release
1.10. Its purpose is to provide a wider range of characters while maintaining
the original look and feel through the process of collaborative development.

This package includes the typefaces the DejaVu project considers mature.


%package experimental
Group:    User Interface/X
Summary:  Experimental DejaVu typefaces
# Does not really make sense without the core typefaces
Requires: %{name} = %{version}-%{release}


%description experimental
The DejaVu fonts are a font family based on the Bitstream Vera Fonts release
1.10.

This package includes the typefaces the DejaVu project considers experimental.


%prep
%setup -q -n %{archivename}-%{archiveversion}


%build
./generate.sh
./status.pl %{version} status.txt *.sfd > status.txt.new
mv status.txt.new status.txt
./unicover.pl %{UnicodeData} %{Blocks} \
              DejaVuSans.sfd Sans \
              DejaVuSerif.sfd Serif \
              DejaVuMonoSans.sfd "Sans Mono" > unicover.txt
# We should probably also regenerate langcover.txt
# but it requires resolution of 
# https://bugs.freedesktop.org/show_bug.cgi?id=6316 


%check
# Current upstream files are full of "problems"
# Do not panic if the output is long
./problems.pl -l 3 *.sfd


%install
/bin/rm -rf %{buildroot}

#fonts
install -d -m 0755 %{buildroot}%{fontdir}
install -m 0644 generated/*.ttf  %{buildroot}%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not 
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch %{buildroot}%{fontdir}/fonts.cache-1


%clean
/bin/rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then 
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then 
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%post experimental
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun experimental
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt AUTHORS BUGS LICENSE NEWS README

%dir %{fontdir}
%ghost %{fontdir}/fonts.cache-1
%{fontdir}/DejaVu*.ttf
%exclude %{fontdir}/DejaVu*Condensed*.ttf
%exclude %{fontdir}/DejaVu*ExtraLight*.ttf
%exclude %{fontdir}/DejaVuSerif-*Oblique.ttf


%files experimental
%defattr(0644,root,root,0755)
%{fontdir}/DejaVu*Condensed*.ttf
%{fontdir}/DejaVu*ExtraLight*.ttf
%{fontdir}/DejaVuSerif-*Oblique.ttf


%changelog
* Sun Jul 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 2.8.0-1
- 2.8.0 final
- last release in FC-4 before legacy handover

* Sun Jun 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.7.0-1
- 2.7.0 final

* Sun Jun 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.7.0-0.20
- merge useful devel changes

* Sat May 20 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.6.0-1
- 2.6.0

* Sun Apr 23 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.5.0-1
- 2.5.0

* Wed Mar 29 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.4.1-1
- 2.4.1 (workaround pango problems)

* Wed Mar 22 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.4-1
- 2.4 A big thanks to Stepan Roh for getting the project there
- split out experimental typefaces

* Mon Feb 20 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.3-1
- 2.3

* Sat Feb 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-4
- WARNING: in an effort to get Fedora Extras as self-hosting as possible
  starting from this release ttf files are regenerated from sfd sources

* Wed Jan 18 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-3
- > = -> >=

* Mon Jan 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-2
- Seems FC-4 and FC-3 have the same needs after all

* Mon Jan 16 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.2-1
- 2.2
- Conflict on newer fontconfig (yes you have to use the FC5 rpm with this one)

* Wed Dec 28 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.1-1
- 2.1

* Sun Nov 13 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 2.0-1
- 2.0!

* Fri Oct 28 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.15-2
- add ghosting of %{fontdir}/fonts.cache-2 since it seems
  needed nowadays

* Sun Oct 16 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.15-1
- 1.15

* Sat Oct 8 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.14-1
- 1.14
- still using prepackaged TTFs as the FE fontforge package is too old

* Sun Jul 31 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.12-1
- 1.12

* Thu Jun 23 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.11-1
- 1.11

* Mon May 22 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.10-1
- 1.10

* Sat May 21 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.9-2
- 1.9
- submission to FCE

* Sat Feb 19 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> 1.7-1
- initial build - using vera as template

* Sat Jan 08 2005 Florian La Roche <laroche@redhat.com>
- rebuilt to get rid of legacy selinux filecontexts
